Package org.apache.uima.analysis_engine.impl

# Class EmptyCasIterator

java.lang.Object
org.apache.uima.analysis_engine.impl.EmptyCasIterator

All Implemented Interfaces:
  `CasIterator`

public class EmptyCasIterator extends Object implements CasIterator
Trivial CasIterator that returns no CASes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyCasIterator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  Checks if there are more CASes to be returned by the iterator.
  `CAS`
  `next()`
  Gets the next CAS from the iterator.
  `void`
  `release()`
  Releases any CASes owned by this CasIterator.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyCasIterator

    public EmptyCasIterator()

- ## Method Details

  - ### hasNext

    public boolean hasNext() throws AnalysisEngineProcessException
    Description copied from interface: `CasIterator`
    Checks if there are more CASes to be returned by the iterator.
    Specified by:
      `hasNext` in interface `CasIterator`
    Returns:
      true if there are more CASes to be returned, false if not
    Throws:
      `AnalysisEngineProcessException` - if a failure has occurred during processing. If an exception is thrown, this indicates that processing has aborted, so no further calls to the CasIterator should be made.

  - ### next

    public CAS next() throws AnalysisEngineProcessException
    Description copied from interface: `CasIterator`
    Gets the next CAS from the iterator.
    Specified by:
      `next` in interface `CasIterator`
    Returns:
      the next CAS.
    Throws:
      `AnalysisEngineProcessException` - if a failure has occurred during processing. If an exception is thrown, this indicates that processing has aborted, so no further calls to the CasIterator should be made.

  - ### release

    public void release()
    Description copied from interface: `CasIterator`
    Releases any CASes owned by this CasIterator. You only need to Call this method if you stop using a CasIterator before you have iterated all the way through.
    Specified by:
      `release` in interface `CasIterator`